同事发现一个phalcon2.0框架的问题

初步确认是phalcon框架在升级到2.0后没有向下兼容 出现的BUG

现象:

在ini里面配置了数组

[dn]

status.1 = “start”

status.2=”stop”

通过phalcon 2.0.4 的ini方法解析后得到一个数组var_dump的结果是

array(2) {
[“1”]=>
string(1) “start”
[“2”]=>
string(1) “stop”
}

自己写的数组和phalcon 1.3版本是这样的

array(2) {
[1]=>
string(5) “start”
[2]=>
string(4) “stop”
}

 

发表评论

电子邮件地址不会被公开。 必填项已用*标注